Installer Flash Player sous linux linpus lite 1.6 [Résolu/Fermé]

Jumpeex 22 Messages postés dimanche 5 avril 2015Date d'inscription 16 août 2015 Dernière intervention - 5 avril 2015 à 17:21 - Dernière réponse : mamiemando 28084 Messages postés jeudi 12 mai 2005Date d'inscriptionModérateurStatut 9 décembre 2017 Dernière intervention
- 7 mars 2016 à 19:10
Bonjour à tous, actuellement sous linux linpus lite j'aimerais pouvoir profiter pleinement de mon navigateur (chromium) en installant Adobe Flash Player. Selon ce forum : http://www.commentcamarche.net/forum/affich-31753353-installer-flash-player-sous-linux-linpus-lite-probleme ; il faut installer le .rpm mais voilà... Je n'y connais rien. Je ne sais même pas oû se trouvent les plugins, au moins j'ai sû décompresser (ce sera ça de fait).
Si vous pouviez éclairer ma lanterne :)
Merci d'avance.
Afficher la suite 
22Messages postés dimanche 5 avril 2015Date d'inscription 16 août 2015 Dernière intervention

15 réponses

Jumpeex 22 Messages postés dimanche 5 avril 2015Date d'inscription 16 août 2015 Dernière intervention - 7 avril 2015 à 23:42
+2
Utile
9
À l'attention de toutes celles et ceux qui désireraient installer Adobe Flash Player sur leur PC sous linux, voici la marche à suivre :
1) Ouvrez votre terminal et mettez vous en mode root en tapant :
su
Faites "entrée" et saisissez votre mot de passe.

2) Allez sur le site d'adobe et téléchargez la bonne version (en l'occurence la .rpm : https://get2.adobe.com/fr/flashplayer/?no_redirect )

2) Une fois le fichier téléchargé allez dans Download puis créez un dossier que vous appellerez comme vous voulez (exemple: Adobe). Déplacez le fichier téléchargé dans ce dossier puis faites "clic droit" dessus et "extraire ici". Double-cliquez sur le fichier .rpm et installez-le (vous aurez besoin d'entrer votre mot de passe).
Flash player se trouve dans usr>share>applications ou sur votre interface principale d'applications dans l'onglet "réglages".
Si vous avez des questions n'hésitez pas :-)
Cette réponse vous a-t-elle aidé ?  
mamiemando 28084 Messages postés jeudi 12 mai 2005Date d'inscriptionModérateurStatut 9 décembre 2017 Dernière intervention - 4 mars 2016 à 20:19
As-tu essayé de passer par un paquet (cf réponse ci-dessous : plus propre, se met à jour avec le reste du système) ? Si le problème persiste merci d'ouvrir un nouveau fil de discussion.
FootballeurDu971 > mamiemando 28084 Messages postés jeudi 12 mai 2005Date d'inscriptionModérateurStatut 9 décembre 2017 Dernière intervention - 5 mars 2016 à 23:08
Tu vas sans doute trouver ma question bete mais quelle paquet??
mamiemando 28084 Messages postés jeudi 12 mai 2005Date d'inscriptionModérateurStatut 9 décembre 2017 Dernière intervention - 6 mars 2016 à 13:05
Tout dépend de la distribution.

Si tu es sous debian ou une distribution qui en dérive (ubuntu, mint...) il devrait s'appeler
pepperflashplugin-nonfree
(version google, que je recommande, par exemple couplée avec chromium) ou
flashplugin-nonfree
(version adobe).

Si tu utilises une autre distribution, utilise ton gestionnaire de paquet pour faire une recherche sur flash, adobe ou pepper :
- cf
yum search ...
par exemple si tu es sous fedora
- cf
apt-cache search ...
si tu es sous debian ou une distribution qui en dérive.

Ou une recherche google avec "nom_de_ta_distribution paquet flash pepper" devrait aussi te donner la réponse si tu ne sais pas utiliser ton gestionnaire de paquets.

Bonne chance
FootballeurDu971 > mamiemando 28084 Messages postés jeudi 12 mai 2005Date d'inscriptionModérateurStatut 9 décembre 2017 Dernière intervention - 6 mars 2016 à 21:40
C assez complexe mais je te remercie de ton aide.
mamiemando 28084 Messages postés jeudi 12 mai 2005Date d'inscriptionModérateurStatut 9 décembre 2017 Dernière intervention - 7 mars 2016 à 19:10
En tout cas, si tu as besoin de précisions, n'hésite pas à ouvrir un nouveau fil de discussion. Bonne chance :)
mamiemando 28084 Messages postés jeudi 12 mai 2005Date d'inscriptionModérateurStatut 9 décembre 2017 Dernière intervention - 6 avril 2015 à 12:34
0
Utile
4
Un paquet rpm est un paquet dédié aux distributions redhat et celles qui en dérivent, dont fedora. Généralement un paquet rpm dépend d'autres paquets rpm qui doivent être préalablement installés. Comme il peut être assez fastidieux d'installer toute ces dépendances en cascade, on passe généralement par un gestionnaire de paquets qui va s'occuper de les télécharger et les déployer dans le bon ordre.

Sous fedora, le gestionnaire de paquets traditionnellement utilisé est
yum

http://doc.fedora-fr.org/wiki/YUM_:_Configuration_du_gestionnaire_de_paquets#Utilisation_de_YUM

Si un dépôt configuré dans yum permet d'installer le paquet de ton choix, alors une simple commande (en root) du genre
yum install le_nom_du_paquet
suffit.

On peut ensuite installer une interface graphique permettant d'instrumenter yum de manière plus conviviale. Dans ton cas yumex pourrait faire l'affaire.

Je te conseille de commencer par installer un paquet de cette manière. Si tu ne trouves pas le paquet qui t'intéresse, alors télécharge et installe le rpm manuellement...

Installer un rpm manuellement

De manière générale pour installer un rpm, il suffit de double cliquer dessus (si ton environnement graphique est bien fait). Il faudra alors taper ton mot de passe root car cette opération réclame des droits administrateurs.

Si ça ne marche pas, il faut installer le paquet rpm via la commande
rpm
via un terminal :

rpm -ivh /le/chemin/vers/le/paquet.rpm


Cas de flash

De nos jours adobe ne semble plus supporter flash. Du coup c'est plutôt google qui a repris le flambeau avec pepperflash. Note que celui-ci est directement installé dans la version "google" de chromium (chrome), mais il est tout à fait possible d'installer chromium et pepper (c'est ce que je fais personnellement).

Il faut ensuite chercher un peu sur le net comment installer pepper sous chromium. Je ne connais pas trop fedora mais apparemment l'installation ne se fait pas si trivialement que ça :
http://www.if-not-true-then-false.com/2013/install-chromium-on-centos-red-hat-rhel/

Bonne chance
Jumpeex 22 Messages postés dimanche 5 avril 2015Date d'inscription 16 août 2015 Dernière intervention - 6 avril 2015 à 15:55
MERCI beaucoup ! Ta réponse est très détaillée et je vais éssayer tout ça dès maintenant. À très bientôt.
Jumpeex 22 Messages postés dimanche 5 avril 2015Date d'inscription 16 août 2015 Dernière intervention - 6 avril 2015 à 16:14
J'ai réussi ! :D
mamiemando 28084 Messages postés jeudi 12 mai 2005Date d'inscriptionModérateurStatut 9 décembre 2017 Dernière intervention - 7 avril 2015 à 21:31
Parfait, bravo :-)

N'hésite pas à préciser les étapes que tu as suivi plus précisément que je ne l'ai fait (nom exact du paquet, liens, etc), afin d'aider les gens qui pourraient tomber sur ce fil de discussion.

Bonne continuation !
Jumpeex 22 Messages postés dimanche 5 avril 2015Date d'inscription 16 août 2015 Dernière intervention > mamiemando 28084 Messages postés jeudi 12 mai 2005Date d'inscriptionModérateurStatut 9 décembre 2017 Dernière intervention - 7 avril 2015 à 22:45
Oui pas de problème :p